Android build tools 19.1.0 or higher


#1

Hello everybody,

I know there is a several topics in network about this problem, but they don’t work for me I don’t understand why, everything is perfect …
I use a MacOS Sierra.

global packages:

cordova (Cordova CLI) : 8.0.0

local packages:

@ionic/app-scripts : 3.1.9
Cordova Platforms  : android 7.0.0 browser 5.0.3 ios 4.5.4
Ionic Framework    : ionic-angular 3.9.2

System:

Android SDK Tools : 26.1.1
ios-deploy        : 1.9.2
Node              : v9.3.0
npm               : 5.5.1
OS                : macOS High Sierra
Xcode             : Xcode 9.3 Build version 9E145

tools
Description: Android SDK Tools
Version: 26.1.1
Dependencies:
patcher;v4
emulator
platform-tools Revision 20

When I run “adb devices” it works, also when I run android command it works…

Can someone help me with this problem please ?

  • What went wrong:
    A problem occurred evaluating project ‘:CordovaLib’.
    > No installed build tools found. Install the Android build tools version 19.1.0 or higher.